Subject: Re: bug#16557: 24.3; foreground-color-at-point does not define a color produced by facemenu-set-foreground

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 15:51:37 +0100

Alex Kost <[email-masked]> writes:

> Recipe:
> - emacs -Q
> - Create new buffer (lisp-interaction-mode is not suitable):
>   C-x b new RET
> - Write some text and select it
> - M-x facemenu-set-foreground RET green RET
> - The text becomes green, but "M-: (foreground-color-at-point)"
>   returns nil 

(This bug report unfortunately got no response at the time.)

Thanks for the clear recipe.

I tried reproducing this in Emacs 28, but `foreground-color-at-point'
returns "green" for me there, so I'm going to go ahead and guess that
this problem has been fixed at some point after this bug was reported,
and I'm closing this bug report.

If you're still seeing this issue, please respond to the debbugs address
and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no